Package: geb.content

## [Groovy] Class PageContentTemplateParams

- geb.content.PageContentTemplateParams

-     class PageContentTemplateParams
      extends Object

- - ### Properties Summary

    Properties
    Type | Name and description
    --- | ---
    `boolean` | `cache` The value of the 'cache' option, as a boolean according to the Groovy Truth.
    `int` | `max` Effective upper bound of the number of elements returned by content definition based on evaluation of 'max' and 'times'
    `int` | `min` Effective lower bound of the number of elements returned by content definition based on evaluation of 'min', 'times' and 'required'
    `Class<? extends Page>` | `page` The value of the 'page' option.
    `boolean` | `required` The value of the 'required' option, as a boolean according to the Groovy Truth.
    `List` | `toList` If the to option was a list, this will be the specified list.
    `Object` | `toSingle` If the to option was a single page class or instance, this will be the value used.
    `Object` | `toWait` The value of the 'toWait' options.
    `Object` | `wait` The value of the 'wait' option.
    `Closure<?>` | `waitCondition` The value of the 'waitCondition' option.

  - ### Constructor Summary

    Constructors
    Constructor and description
    `PageContentTemplateParams (PageContentTemplate owner, String name, Map<String, ?> params, TemplateOptionsConfiguration config)`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class Object` | `wait, wait, wait, equals, toString, hashCode, getClass, notify, notifyAll`

- - ### Property Detail

    - #### boolean cache

      The value of the 'cache' option, as a boolean according to the Groovy Truth. Defaults to false.

    - #### int max

      Effective upper bound of the number of elements returned by content definition based on evaluation of 'max' and 'times'

    - #### int min

      Effective lower bound of the number of elements returned by content definition based on evaluation of 'min', 'times' and 'required'

    - #### Class<? extends Page> page

      The value of the 'page' option. Defaults to null.

    - #### boolean required

      The value of the 'required' option, as a boolean according to the Groovy Truth. Defaults to true.

    - #### List toList

      If the to option was a list, this will be the specified list. Defaults to null.

    - #### Object toSingle

      If the to option was a single page class or instance, this will be the value used. Defaults to null.

    - #### Object toWait

      The value of the 'toWait' options. Defaults to null (no waiting when switching pages).

    - #### Object wait

      The value of the 'wait' option. Defaults to null (no wait).

    - #### Closure<?> waitCondition

      The value of the 'waitCondition' option. Defaults to null (no wait).

  - ### Constructor Detail

    - #### PageContentTemplateParams(PageContentTemplate owner, String name, Map<String, ?> params, TemplateOptionsConfiguration config)